Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 2.0.3   

Resolution: Fixed Affected version: 2.0.2

Description

When headers in a wiki page are preceded by a line with one space (instead of an empty line), the section edit links edit the wrong

section of the section of the page.

This is present in versions 1.4.1 and 2.0.2 of Redmine.

With the example content, four h1. sections are created.

The links point to the correct url (e.g. link to edit chapter 3 point to ?section=3)

The content shown in the edit page however, does not correctly respond to the section.

Clicking the edit link for Chapter 2 will edit Chapter 2 and 3.

Editing Chapter 3 will edit Chapter 4.

Headers may have to be separated by empty lines, but if an accidental space is present on such a line, it is not at all clear to the user

why section editing does not work correctly.

To reproduce:

Create an wiki page with the content provided in the attachment

(Note the added space above the line 'h1. Chapter 3')

Save page

Click on the several section-edit icons

Related issues:

Has duplicate Redmine - Defect #11189: "Edit this section" sometimes does't work Closed

Associated revisions

Revision 9822 - 2012-06-11 19:51 - Jean-Philippe Lang

Fixed that lines with spaces only before headings break wiki section extraction (#11133).

History

#1 - 2012-06-11 13:45 - Jean-Philippe Lang

- Status changed from New to Confirmed

- Target version set to 2.0.3

#2 - 2012-06-11 19:51 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r9822.

#3 - 2012-06-17 10:54 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.4 and 2.0.

Files

wikipage-content.txt 125 Bytes 2012-06-11 Maarten Hoogveld

Powered by TCPDF (www.tcpdf.org)

2025-07-13 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/9822
http://www.tcpdf.org

